Subject: Re: bug#23927: 25.0.94; Errors when updating using package.el

From: Glenn Morris <[email-masked]>
Date: Wed, 13 Jul 2016 16:57:13 -0400

Clément Pit--Claudel wrote:

>>>       ~/.emacs.d/elpa/realgud/common/buffer/info.el(.elc)
[...]
> Sorry, I didn't follow this very closely. I'm one of the Realgud
> maintainers; is there anything we can do on our side to make things
> smoother?

Don't distribute files that live in load-path whose basename matches
an item in Emacs's load-path (or is likely to match that in some other
package). Else (require 'foo) may get the wrong foo.

(If common/buffer/ isn't supposed to be in load-path, then you are fine.)